Update Zone by Name
curl --request PUT \
--url https://api.fabric.inc/v3/location-zones/zone-name/{zoneName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"geographyName": "US_Geo_PostalCode",
"type": "PostalCode",
"description": "Specific geography for US Zones",
"values": [
"<string>"
],
"associatedZone": "US_Zone",
"linkedNetworks": [
"<string>"
],
"resourceId": "<string>",
"subResourceId": "<string>"
}
'import requests
url = "https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}"
payload = {
"geographyName": "US_Geo_PostalCode",
"type": "PostalCode",
"description": "Specific geography for US Zones",
"values": ["<string>"],
"associatedZone": "US_Zone",
"linkedNetworks": ["<string>"],
"resourceId": "<string>",
"subResourceId": "<string>"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
geographyName: 'US_Geo_PostalCode',
type: 'PostalCode',
description: 'Specific geography for US Zones',
values: ['<string>'],
associatedZone: 'US_Zone',
linkedNetworks: ['<string>'],
resourceId: '<string>',
subResourceId: '<string>'
})
};
fetch('https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'geographyName' => 'US_Geo_PostalCode',
'type' => 'PostalCode',
'description' => 'Specific geography for US Zones',
'values' => [
'<string>'
],
'associatedZone' => 'US_Zone',
'linkedNetworks' => [
'<string>'
],
'resourceId' => '<string>',
'subResourceId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}"
payload := strings.NewReader("{\n \"geographyName\": \"US_Geo_PostalCode\",\n \"type\": \"PostalCode\",\n \"description\": \"Specific geography for US Zones\",\n \"values\": [\n \"<string>\"\n ],\n \"associatedZone\": \"US_Zone\",\n \"linkedNetworks\": [\n \"<string>\"\n ],\n \"resourceId\": \"<string>\",\n \"subResourceId\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"geographyName\": \"US_Geo_PostalCode\",\n \"type\": \"PostalCode\",\n \"description\": \"Specific geography for US Zones\",\n \"values\": [\n \"<string>\"\n ],\n \"associatedZone\": \"US_Zone\",\n \"linkedNetworks\": [\n \"<string>\"\n ],\n \"resourceId\": \"<string>\",\n \"subResourceId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"geographyName\": \"US_Geo_PostalCode\",\n \"type\": \"PostalCode\",\n \"description\": \"Specific geography for US Zones\",\n \"values\": [\n \"<string>\"\n ],\n \"associatedZone\": \"US_Zone\",\n \"linkedNetworks\": [\n \"<string>\"\n ],\n \"resourceId\": \"<string>\",\n \"subResourceId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"zoneName": "US_LOCATIONS",
"zoneType": "ABSOLUTE",
"zoneId": "9372919a8219e8",
"description": "Specific zone for US Locations",
"locations": [
{
"priority": 1,
"locationNumber": 23
}
],
"tiers": [
{
"filters": [
{
"field": "location.locationNum",
"condition": "EQ",
"value": "<unknown>",
"group": "GroupA"
}
],
"sort": "+location.createdAt",
"tier": 123
}
],
"createdAt": "2022-05-12T09:30:31.198Z",
"updatedAt": "2022-05-12T09:30:31.198Z"
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4003",
"message": "Mandatory param(s): `requiredField1` is/are missing",
"errors": [
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4002",
"message": "Invalid value(s) specified for 'requiredField.field3'",
"errors": []
}
],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders"
}
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4001",
"message": "Unauthorized request",
"errors": [],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders/OrderId_12345"
}
}{
"message": "Location zone with zoneName: 9372919a8219e8 not found"
}{
"type": "SERVER_ERROR",
"errorCode": "SERVICE-5000",
"message": "Internal server error",
"errors": [],
"context": {
"service": "inventories",
"endpoint": "POST /v3/inventories/actions/find-by-geography"
}
}Location Zones
Update Zone by Name
Updates the details of a specific location zone identified by its zoneName.
PUT
/
location-zones
/
zone-name
/
{zoneName}
Update Zone by Name
curl --request PUT \
--url https://api.fabric.inc/v3/location-zones/zone-name/{zoneName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"geographyName": "US_Geo_PostalCode",
"type": "PostalCode",
"description": "Specific geography for US Zones",
"values": [
"<string>"
],
"associatedZone": "US_Zone",
"linkedNetworks": [
"<string>"
],
"resourceId": "<string>",
"subResourceId": "<string>"
}
'import requests
url = "https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}"
payload = {
"geographyName": "US_Geo_PostalCode",
"type": "PostalCode",
"description": "Specific geography for US Zones",
"values": ["<string>"],
"associatedZone": "US_Zone",
"linkedNetworks": ["<string>"],
"resourceId": "<string>",
"subResourceId": "<string>"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
geographyName: 'US_Geo_PostalCode',
type: 'PostalCode',
description: 'Specific geography for US Zones',
values: ['<string>'],
associatedZone: 'US_Zone',
linkedNetworks: ['<string>'],
resourceId: '<string>',
subResourceId: '<string>'
})
};
fetch('https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'geographyName' => 'US_Geo_PostalCode',
'type' => 'PostalCode',
'description' => 'Specific geography for US Zones',
'values' => [
'<string>'
],
'associatedZone' => 'US_Zone',
'linkedNetworks' => [
'<string>'
],
'resourceId' => '<string>',
'subResourceId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}"
payload := strings.NewReader("{\n \"geographyName\": \"US_Geo_PostalCode\",\n \"type\": \"PostalCode\",\n \"description\": \"Specific geography for US Zones\",\n \"values\": [\n \"<string>\"\n ],\n \"associatedZone\": \"US_Zone\",\n \"linkedNetworks\": [\n \"<string>\"\n ],\n \"resourceId\": \"<string>\",\n \"subResourceId\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"geographyName\": \"US_Geo_PostalCode\",\n \"type\": \"PostalCode\",\n \"description\": \"Specific geography for US Zones\",\n \"values\": [\n \"<string>\"\n ],\n \"associatedZone\": \"US_Zone\",\n \"linkedNetworks\": [\n \"<string>\"\n ],\n \"resourceId\": \"<string>\",\n \"subResourceId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/location-zones/zone-name/{zoneName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"geographyName\": \"US_Geo_PostalCode\",\n \"type\": \"PostalCode\",\n \"description\": \"Specific geography for US Zones\",\n \"values\": [\n \"<string>\"\n ],\n \"associatedZone\": \"US_Zone\",\n \"linkedNetworks\": [\n \"<string>\"\n ],\n \"resourceId\": \"<string>\",\n \"subResourceId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"zoneName": "US_LOCATIONS",
"zoneType": "ABSOLUTE",
"zoneId": "9372919a8219e8",
"description": "Specific zone for US Locations",
"locations": [
{
"priority": 1,
"locationNumber": 23
}
],
"tiers": [
{
"filters": [
{
"field": "location.locationNum",
"condition": "EQ",
"value": "<unknown>",
"group": "GroupA"
}
],
"sort": "+location.createdAt",
"tier": 123
}
],
"createdAt": "2022-05-12T09:30:31.198Z",
"updatedAt": "2022-05-12T09:30:31.198Z"
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4003",
"message": "Mandatory param(s): `requiredField1` is/are missing",
"errors": [
{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4002",
"message": "Invalid value(s) specified for 'requiredField.field3'",
"errors": []
}
],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders"
}
}{
"type": "CLIENT_ERROR",
"errorCode": "SERVICE-4001",
"message": "Unauthorized request",
"errors": [],
"context": {
"service": "orders",
"endpoint": "POST /v3/orders/OrderId_12345"
}
}{
"message": "Location zone with zoneName: 9372919a8219e8 not found"
}{
"type": "SERVER_ERROR",
"errorCode": "SERVICE-5000",
"message": "Internal server error",
"errors": [],
"context": {
"service": "inventories",
"endpoint": "POST /v3/inventories/actions/find-by-geography"
}
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Body
application/json
Update geography request
Response
Location zone updated
Zone response
Was this page helpful?
